# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.

### variables ###

[ -z "$FULLINSTALL" ] && export FULLINSTALL=1

### functions ###

# a simplified version of query() from sorcery
# $1 = question
# $2 = default boolean answer [yYnN]
function query
{
	while true; do
		RESPONSE=""
		echo -e -n "$1 [$2] "
		read -n 1 RESPONSE
		echo

		RESPONSE=${RESPONSE:=$2}
		case $RESPONSE in
			n|N) return 1  ;;
			y|Y) return 0  ;;
		esac
	done
}

function choosegame
{
	while true; do
		choice=0
		echo "Choose the game to install from the list:"
		echo "1  | Baldur's Gate 1 (5CD International version)"
		echo "2  | Baldurs Gate & Tales of the Sword Coast (3CD US version)"
		echo "3  | Tales of the Sword Coast (1CD UK version)"
		echo "4  | Planescape: Torment (4CD version)"
		echo "5  | Planescape: Torment (2CD version)"

		read -n 1 choice
		echo

		case $choice in
			1 ) export CDMD5="138528155dfeb695bd63f90eacee7dc0"
				return 0 ;;
			2 ) export CDMD5="1a6828b97a27967e8c4acc25e1ef48d2"
				return 0 ;;
			3 ) export CDMD5="e27d259ddc0171ff945dbba136e60309"
				return 0 ;;
			4 ) export CDMD5="5e8c2075163aca124de4a467fb33063d"
				return 0 ;;
			5 ) export CDMD5="640b61443cc86c434f1b6826e63c0e33"
				return 0 ;;
		esac
	done
}

function recommendcfg
{
	# usage: recommendcfg [numofcds]

	if [ "$1" ]; then
		NUMOFCDS=$1
	else
		NUMOFCDS=0
	fi

	echo
	echo "To play the game with GemRB, you will need to add the following"
	echo "lines to your GemRB.cfg file:"
	echo
	LINE="GamePath=$TARGETDIR"; echo $LINE
	if [ $FULLINSTALL -eq 1 ]; then
		LINE="CD1=$TARGETDIR"; echo $LINE
		if [ $NUMOFCDS -gt 0 ]; then
			for CDNUMBER in $(seq 2 $NUMOFCDS); do
				LINE="CD$CDNUMBER=$TARGETDIR"
				echo $LINE
			done
		fi
		echo "GameOnCD=0"
	else
		LINE="CD1=$CDMOUNT"; echo $LINE
		if [ $NUMOFCDS -gt 0 ]; then
			for CDNUMBER in $(seq 2 $NUMOFCDS); do
				LINE="CD$CDNUMBER=$CDMOUNT/cd$CDNUMBER"
				echo $LINE
			done
		fi
		echo "GameOnCD=1"
	fi
}
